AUTHOR = 'maxime alves'
SITENAME = 'mfalves'
SITEURL = "http://127.0.0.1:8000/"

PATH = "content"

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'fr'
DEFAULT_LOCALE = 'fr_FR.UTF-8'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
    ("Pelican", "https://getpelican.com/"),
    ("Python.org", "https://www.python.org/"),
    ("Jinja2", "https://palletsprojects.com/p/jinja/"),
    ("You can modify those links in your config file", "#"),
)

# Social widget
SOCIAL = (
    ("You can add links in your config file", "#"),
    ("Another social link", "#"),
)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
# RELATIVE_URLS = True
THEME = "./theme"
THEME_STATIC_PATHS = ['static']
PLUGIN_PATHS = ['pelican-plugins', 'pelican-custom-plugins']
PLUGINS = ['readtime','neighbors'
,'pelican-toc'
, 'jsonresume'
, 'i18n_subsites'
]

PAGINATED_TEMPLATES = {'index':None,'tag':None,'category':None,'author':None,'archives':24}
# SEARCH_MODE = "output"
# SEARCH_HTML_SELECTOR = "main"
DIRECT_TEMPLATES = (('index','search','tags','categories','archives'))
STORK_INPUT_OPTIONS = {
    'html_selector': 'main',
}
DISPLAY_PAGES_ON_MENU = True

I18N_SUBSITES = {
    'fr': {
        'SITEURL': 'http://127.0.0.1:8000/fr/',
        'LOCALE': 'fr_FR.UTF-8',
        'THEME_STATIC_DIR': '../theme',
    },
    'en': {
        'SITEURL': 'http://127.0.0.1:8000/en/',
        'LOCALE': 'en_US.UTF-8',
        'THEME_STATIC_DIR': '../theme',
    }
}
I18N_TEMPLATES_LANG = ['en','fr']

JINJA_ENVIRONMENT = {
    'extensions': ['jinja2.ext.i18n', 'jinja2.ext.debug']
}
